Usage
Credit balance and organization quotas.
Retrieve credit balance and quotas
GET
/usageCredits are denominated in minutes and are shared across the whole organization.
curl -X GET "https://api.rabbitt.ai/api/v1/usage" \
-H "Authorization: Bearer rb_live_xxxxxxxxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"const response = await fetch("https://api.rabbitt.ai/api/v1/usage", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.RABBITT_API_KEY}`,
},
});
if (!response.ok) {
const { error } = await response.json();
throw new Error(`${error.code}: ${error.message}`);
}
const data = await response.json();import os
import requests
response = requests.get(
"https://api.rabbitt.ai/api/v1/usage",
headers={"Authorization": f"Bearer {os.environ['RABBITT_API_KEY']}"},
)
response.raise_for_status()
data = response.json()Responses
200Current usage
400Invalid request
401Missing or invalid API key
403The key lacks the required scope
404Resource not found
429Rate limit exceeded
Response body - 200
objectstringorganizationobjectidstringnamestringplanstringcreditsobjectallocatedMinutesnumberusedMinutesnumberremainingMinutesnumberlimitsobjectmaxAgentsintegermaxUsersintegermaxConcurrentCallsinteger